<?php

namespace App\ViewModels\Consulta\ConsultaListingViewModel;

use App\Utils\Entity;

class ConsultaListingViewModel extends Entity {
	protected $id_agenda;
	protected $id_unidade;
	protected $id_agendamento;
	protected $id_consulta;
	protected $id_procedimento;
	protected $id_requisicao;
	protected $req_st;
	protected $tipo_anamnese;
	protected $procedimento;
	protected $data;
	protected $hora_inicio;
	protected $hora_fim;
	protected $consulta_titulo;
	protected $consulta_descricao;
	protected $id_pet;
	protected $nome_pet;
	protected $id_raca;
	protected $nome_raca;
	protected $status;
	protected $unidade_descricao;
	protected $id_medico;
	protected $id_assistente;
	protected $nome_medico;
	protected $nome_assistente;
	protected $status_sala;

	public static function builder(): ConsultaListingViewModelBuilder {

		return new ConsultaListingViewModelBuilder();

	}

    public function getStatusSala()
    {
        return $this->status_sala;
    }

    public function setStatusSala($status_sala): void
    {
        $this->status_sala = $status_sala;
    }


	/**
	 *
	 * @return mixed
	 */
	public function getUnidadeDescricao() {

		return $this->unidade_descricao;

	}

	/**
	 *
	 * @param mixed $unidade_descricao
	 */
	public function setUnidadeDescricao($unidade_descricao): void {

		$this->unidade_descricao = $unidade_descricao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStatus() {

		return $this->status;

	}

	/**
	 *
	 * @param mixed $status
	 */
	public function setStatus($status): void {

		$this->status = $status;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdAgenda() {

		return $this->id_agenda;

	}

	/**
	 *
	 * @param mixed $id_agenda
	 */
	public function setIdAgenda($id_agenda): void {

		$this->id_agenda = $id_agenda;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade): void {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->id_pet;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet): void {

		$this->id_pet = $id_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomePet() {

		return $this->nome_pet;

	}

	/**
	 *
	 * @param mixed $nome_pet
	 */
	public function setNomePet($nome_pet): void {

		$this->nome_pet = $nome_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdRaca() {

		return $this->id_raca;

	}

	/**
	 *
	 * @param mixed $id_raca
	 */
	public function setIdRaca($id_raca): void {

		$this->id_raca = $id_raca;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomeRaca() {

		return $this->nome_raca;

	}

	/**
	 *
	 * @param mixed $nome_raca
	 */
	public function setNomeRaca($nome_raca): void {

		$this->nome_raca = $nome_raca;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdAgendamento() {

		return $this->id_agendamento;

	}

	/**
	 *
	 * @param mixed $id_agendamento
	 */
	public function setIdAgendamento($id_agendamento): void {

		$this->id_agendamento = $id_agendamento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdConsulta() {

		return $this->id_consulta;

	}

	/**
	 *
	 * @param mixed $id_consulta
	 */
	public function setIdConsulta($id_consulta): void {

		$this->id_consulta = $id_consulta;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->id_procedimento;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 */
	public function setIdProcedimento($id_procedimento): void {

		$this->id_procedimento = $id_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getProcedimento() {

		return $this->procedimento;

	}

	/**
	 *
	 * @param mixed $procedimento
	 */
	public function setProcedimento($procedimento): void {

		$this->procedimento = $procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraInicio() {

		return $this->hora_inicio;

	}

	/**
	 *
	 * @param mixed $hora_inicio
	 */
	public function setHoraInicio($hora_inicio): void {

		$this->hora_inicio = $hora_inicio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraFim() {

		return $this->hora_fim;

	}

	/**
	 *
	 * @param mixed $hora_fim
	 */
	public function setHoraFim($hora_fim): void {

		$this->hora_fim = $hora_fim;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getConsultaTitulo() {

		return $this->consulta_titulo;

	}

	/**
	 *
	 * @param mixed $consulta_titulo
	 */
	public function setConsultaTitulo($consulta_titulo): void {

		$this->consulta_titulo = $consulta_titulo;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getConsultaDescricao() {

		return $this->consulta_descricao;

	}

	/**
	 *
	 * @param mixed $consulta_descricao
	 */
	public function setConsultaDescricao($consulta_descricao): void {

		$this->consulta_descricao = $consulta_descricao;

	}

	public function getData() {

		return $this->data;

	}

	public function setData($data): void {

		$this->data = $data;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdMedico() {

		return $this->id_medico;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdAssistente() {

		return $this->id_assistente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomeMedico() {

		return $this->nome_medico;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomeAssistente() {

		return $this->nome_assistente;

	}

	/**
	 *
	 * @param mixed $id_medico
	 */
	public function setIdMedico($id_medico) {

		$this->id_medico = $id_medico;

	}

	/**
	 *
	 * @param mixed $id_assistente
	 */
	public function setIdAssistente($id_assistente) {

		$this->id_assistente = $id_assistente;

	}

	/**
	 *
	 * @param mixed $nome_medico
	 */
	public function setNomeMedico($nome_medico) {

		$this->nome_medico = $nome_medico;

	}

	/**
	 *
	 * @param mixed $nome_assistente
	 */
	public function setNomeAssistente($nome_assistente) {

		$this->nome_assistente = $nome_assistente;

	}
	/**
	 * @return mixed
	 */
	public function getIdRequisicao() {

		return $this->id_requisicao;
	}


	/**
	 * @return mixed
	 */
	public function getRqst() {

		return $this->rq_st;
	}


	/**
	 * @return mixed
	 */
	public function getTipoAnamnese() {

		return $this->tipo_anamnese;
	}


	/**
	 * @param mixed $id_requisicao
	 */
	public function setIdRequisicao($id_requisicao) {

		$this->id_requisicao = $id_requisicao;
	}


	/**
	 * @param mixed $rq_st
	 */
	public function setReqst($req_st) {

		$this->req_st = $req_st;
	}


	/**
	 * @param mixed $tipo_anamnese
	 */
	public function setTipoAnamnese($tipo_anamnese) {

		$this->tipo_anamnese = $tipo_anamnese;
	}



}